> ## Documentation Index
> Fetch the complete documentation index at: https://docs.tronrental.com/llms.txt
> Use this file to discover all available pages before exploring further.

# टोकन कॉन्ट्रैक्ट की सूची

> ऑटो बैंडविड्थ के लिए आपके TRC-20 टोकन कॉन्ट्रैक्ट

## टोकन कॉन्ट्रैक्ट की सूची

ऑटो बैंडविड्थ के लिए आपके जोड़े गए TRC-20 कॉन्ट्रैक्ट लौटाता है। `token: "CUSTOM"` या `"OWN"` वाला सब्सक्रिप्शन `contract` में इनमें से किसी का भी उपयोग कर सकता है। `view` स्कोप आवश्यक है।

USDT और USDD पहले से अंतर्निहित हैं और यहाँ कभी नहीं दिखते: उन्हें `token` से चुनें।

### रिस्पॉन्स

**contracts** `array`

आपके कॉन्ट्रैक्ट।

**कॉन्ट्रैक्ट ऑब्जेक्ट**

**address** `string`

कॉन्ट्रैक्ट एड्रेस

**symbol** `string`

टोकन का सिंबल, जैसा कॉन्ट्रैक्ट बताता है (अधिकतम 16 अक्षर)

**name** `string | null`

टोकन का नाम, जैसा कॉन्ट्रैक्ट बताता है (अधिकतम 40 अक्षर); यदि कोई नहीं तो `null`

**decimals** `number`

टोकन के दशमलव स्थान

**bandwidth** `number`

इस टोकन के एक ट्रांसफर में लगने वाली बैंडविड्थ — सब्सक्रिप्शन के `volume` के लिए एक संकेत

> [!WARNING]
>
> `symbol` और `name` कॉन्ट्रैक्ट से ही आते हैं, और कोई भी ऐसा टोकन डिप्लॉय कर सकता है जो खुद को "Tether USD" कहे। टोकन की पहचान हमेशा उसके `address` से करें।

### उदाहरण

```bash cURL theme={null}
curl https://api.tronrental.com/v1/bandwidth/auto/contracts \
  -H "X-API-Key: your_api_key"
```

```python Python theme={null}
import requests

resp = requests.get(
    "https://api.tronrental.com/v1/bandwidth/auto/contracts",
    headers={"X-API-Key": "your_api_key"},
)
print(resp.json())
```

```javascript JavaScript theme={null}
const resp = await fetch("https://api.tronrental.com/v1/bandwidth/auto/contracts", {
  headers: { "X-API-Key": "your_api_key" },
});
console.log(await resp.json());
```

```json Response theme={null}
{
  "contracts": [
    {
      "address": "TYourTokenContract1234567890abcdef",
      "symbol": "MTK",
      "name": "My Token",
      "decimals": 6,
      "bandwidth": 345
    }
  ]
}
```

### त्रुटियाँ

| स्थिति | कोड | कब |
| - | - | - |
| `403` | `FORBIDDEN` | API कुंजी के पास `view` स्कोप नहीं है |


This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.